- Qt 6.6
- Qt Wayland Compositor
- C++ Classes
- QWaylandShellSurface
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandShellSurface Class

The QWaylandShellSurface class is a common interface for surface roles specified by shell extensions. More...

Header: | #include <QWaylandShellSurface>
CMake: | find_package(Qt6 REQUIRED COMPONENTS WaylandCompositor) target_link_libraries(mytarget PRIVATE Qt6::WaylandCompositor)
qmake: | QT += waylandcompositor
Instantiated By: | ShellSurface
Inherits: | QWaylandCompositorExtension
Inherited By: | QWaylandShellSurfaceTemplate

- List of all members, including inherited members

## Properties

- windowType : const Qt::WindowType

## Public Functions

virtual QWaylandQuickShellIntegration * | createIntegration(QWaylandQuickShellSurfaceItem *item) = 0
virtual Qt::WindowType | windowType() const

## Signals

void | windowTypeChanged()

## Detailed Description

This interface represents a Wayland surface role given by a Wayland protocol extension that defines how the QWaylandSurface should map onto the screen.

See also QWaylandSurface, QWaylandWlShellSurface, QWaylandIviSurface, and QWaylandShellSurfaceTemplate.

## Property Documentation

### `[read-only]` windowType : const Qt::WindowType

This property holds the window type of the QWaylandShellSurface.

Access functions:

virtual Qt::WindowType | windowType() const

Notifier signal:

void | windowTypeChanged()

## Member Function Documentation

### `[pure virtual]` QWaylandQuickShellIntegration *QWaylandShellSurface::createIntegration(QWaylandQuickShellSurfaceItem *item)

Creates a QWaylandQuickShellIntegration for this QWaylandQuickShellSurface. It's called automatically when item's shellSurface is assigned.

See also QWaylandQuickShellSurfaceItem.